Subject: bug#24528: 24.5; XLFD font specification ignore empty style preference.

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 17 Nov 2019 08:16:39 +0100

Oleksandr Gavenko <[email-masked]> writes:

> I have 2 server side fonts:
>
>   -misc-fixed-medium-r-normal--13-120-75-75-c-120-iso10646-1
>   -misc-fixed-medium-r-normal-ja-13-120-75-75-c-120-iso10646-1
>
> When I run:
>
>   (set-frame-font "-misc-*-*-*-*--13-*-*-*-*-*-*-*")
>
> unfortunately next font selected:
>
>   -misc-fixed-medium-r-normal-ja-13-120-75-75-c-120-iso10646-1
>
>   /usr/share/fonts/X11/misc/12x13ja.pcf.gz
>
> which looks very ugly.

(This bug report unfortunately got no feedback at the time.)

If I (on this Debian system) tries

(set-frame-font "-misc-*-*-*-*--13-*-*-*-*-*-*-*")

I get

    x:-misc-fixed-medium-r-normal--13-120-75-75-c-80-koi8-r (#x2D)

If I say

(set-frame-font "-misc-*-*-*-*-ja-13-*-*-*-*-*-*-*")

I get

    x:-misc-fixed-medium-r-normal-ja-13-120-75-75-c-120-iso10646-1 (#x2A)

So I don't seem to be able to reproduce this error, but that may be
because I don't have the same fonts installed as you have.  On the other
hand, there's been some changes in the font handling in Emacs since the
bug was reported.

Are you still seeing this problem in Emacs 27?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no